package com.yonge.cooleshow.sdk.res;

import com.yonge.cooleshow.enums.PayStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-04-27
 */
@ApiModel("退款返回数据")
public class OrderRefundRes {

    @ApiModelProperty("退款流水号")
    private String transNo;

    @ApiModelProperty("支付流水号")
    private String payTransNo;

    @ApiModelProperty("订单号")
    private String refundOrderNo;

    @ApiModelProperty("退款金额")
    private String refundAmount;

    @ApiModelProperty("退款状态")
    private PayStatusEnum refundStatus;

    @ApiModelProperty("执行状态")
    private boolean status = true;

    @ApiModelProperty("出错信息")
    private String message;

    public String getRefundOrderNo() {
        return refundOrderNo;
    }

    public void setRefundOrderNo(String refundOrderNo) {
        this.refundOrderNo = refundOrderNo;
    }

    public boolean isStatus() {
        return status;
    }

    public void setStatus(boolean status) {
        this.status = status;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public String getPayTransNo() {
        return payTransNo;
    }

    public void setPayTransNo(String payTransNo) {
        this.payTransNo = payTransNo;
    }

    public String getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(String refundAmount) {
        this.refundAmount = refundAmount;
    }

    public PayStatusEnum getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(PayStatusEnum status) {
        this.refundStatus = status;
    }
}
